#  Copyright (C) 2020-2021 Orange
#
#    Licensed under the Apache License, Version 2.0 (the "License"); you may
#    not use this file except in compliance with the License. You may obtain
#    a copy of the License at
#
#         http://www.apache.org/licenses/LICENSE-2.0
#
#    Unless required by applicable law or agreed to in writing, software
#    distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
#    WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
#    License for the specific language governing permissions and limitations
#    under the License.


FROM python:3.8-slim as compile
RUN python -m venv /install
COPY kanod_image_sync /src/kanod_image_sync
COPY setup.py setup.cfg /src/
WORKDIR /src
ENV PATH "/install/bin:$PATH"
RUN pip install .
FROM python:3.8-slim
LABEL maintainer="virgil.chereches@orange.com"
COPY --from=compile /install /install
ENV PATH "/install/bin:$PATH"
